Bug 2070542 - After creating a new storage system it redirects to 404 error page instead of the "StorageSystems" page for OCP 4.11
Summary: After creating a new storage system it redirects to 404 error page instead of...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenShift Data Foundation
Classification: Red Hat Storage
Component: management-console
Version: 4.10
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ODF 4.11.0
Assignee: Sanjal Katiyar
QA Contact: Amrita Mahapatra
URL:
Whiteboard:
: 2080152 (view as bug list)
Depends On:
Blocks: 2060790 2074518
TreeView+ depends on / blocked
 
Reported: 2022-03-31 12:10 UTC by Amrita Mahapatra
Modified: 2023-08-09 16:46 UTC (History)
12 users (show)

Fixed In Version: 4.11.0-66
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-24 13:49:54 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github red-hat-storage odf-console pull 169 0 None open [release-4.10-compatibility] Bug 2070542: Use List Page exposed components and fix Kubevirt imports 2022-04-13 15:13:44 UTC
Red Hat Product Errata RHSA-2022:6156 0 None None None 2022-08-24 13:51:12 UTC

Description Amrita Mahapatra 2022-03-31 12:10:35 UTC
Created attachment 1869691 [details]
While creating storagesystem in AWS OCP 4.11, ODF 4.10 it leads to 404 error page




Created attachment 1869691 [details]
While creating Storage System in AWS OCP 4.11, ODF 4.10 it leads to 404 error page

Description of problem (please be detailed as possible and provide log
snippests): 
While creating storagesystem from UI after the final step 404 page not found error page is displayed. But the storagesystem actually got created.


Version of all relevant components (if applicable):
ocp version: 4.11.0-0.nightly-2022-03-27-140854
odf version=4.10.0-198


Does this issue impact your ability to continue to work with the product
(please explain in detail what is the user impact)?
No, it still works. But it is not the expected behavior.

Is there any workaround available to the best of your knowledge? No


Rate from 1 - 5 the complexity of the scenario you performed that caused this
bug (1 - very simple, 5 - very complex)?2


Can this issue reproducible? Yes


Can this issue reproduce from the UI? Yes


If this is a regression, please provide more details to justify this:
Yes, in the previous versions we have faced similar issue, Bug 2032984 which got fixed.


Steps to Reproduce:
1. Deploy an AWS, OCP 4.11 cluster, without ODF.
2. Install ODF 4.10 through the UI.
3. Create a new StorageSystem. 


Actual results:
After creating and installing the StorageSystem it redirects to a 404 page.

Expected results:
After creating and installing the StorageSystem it should redirect to the "StorageSystems" page.

Additional info:

Comment 2 Mudit Agarwal 2022-04-04 05:38:54 UTC
Nishanth, please take a look. We need to fix it before OCP 4.11

Comment 6 Bipul Adhikari 2022-04-29 12:02:53 UTC
*** Bug 2080152 has been marked as a duplicate of this bug. ***

Comment 10 Mugdha Soni 2022-05-11 07:48:00 UTC
Hi 

I deployed a cluster with the following versions :-

OCP : 4.11.0-0.nightly-2022-05-09-224745

ODF : 4.10.1-7

I deployed the cluster via jenkins and later when logged into the console , directed to open shift data foundation under storage tab and encountered 404 error ,plus the open shift data foundation sub tab went missing  . The storage systems were successfully created though ! THe screen shot is attached in comment #9.

Thanks and Regards 
Mugdha Soni

Comment 12 Mugdha Soni 2022-05-11 08:02:43 UTC
Hi 

Thanks Sanjal , this works fine with OCP 4.11 and ODF 4.11.

Comment 17 errata-xmlrpc 2022-08-24 13:49:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat OpenShift Data Foundation 4.11.0 security, enhancement, & bugfix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:6156


Note You need to log in before you can comment on or make changes to this bug.